Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Temporary_Creation_Time Class Reference

Special creation time only useful in the lifetime of the upcall. More...

`#include <POA.h>`

List of all members.

## Public Methods
| TAO_Temporary_Creation_Time (void)
void | creation_time (const void *creation_time)
int | operator== (const TAO_Creation_Time &rhs) const
int | operator!= (const TAO_Creation_Time &rhs) const
## Protected Attributes
void * | time_stamp_

## Detailed Description

Special creation time only useful in the lifetime of the upcall.

Special creation time only useful in the lifetime of the upcall.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Temporary_Creation_Time::TAO_Temporary_Creation_Time | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE void TAO_Temporary_Creation_Time::creation_time | ( | const void * | creation_time | ) |

ACE_INLINE int TAO_Temporary_Creation_Time::operator!= | ( | const TAO_Creation_Time & | rhs | ) | const

ACE_INLINE int TAO_Temporary_Creation_Time::operator== | ( | const TAO_Creation_Time & | rhs | ) | const

## Member Data Documentation

void* TAO_Temporary_Creation_Time::time_stamp_`[protected]`

The documentation for this class was generated from the following files:

- POA.h
- POA.i